package com.djhk.common.api.factory;

import com.djhk.common.api.RemoteSystemFileService;
import com.djhk.common.api.domain.SysFile;
import com.djhk.common.core.domain.R;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @description
 * @author jiachengshuai
 * @date 2023/5/5 16:00:20
 * @version 1.0
 */
@Component
public class RemoteSystemFileFallbackFactory implements RemoteSystemFileService
{

    @Override
    public R<Long> addFile(SysFile file) {
        return null;
    }

    @Override
    public R<SysFile> getFileInfo(Long id) {
        return null;
    }

    @Override
    public R<List<SysFile>> getFileList(Long[] ids) {
        return null;
    }

    @Override
    public R<List<SysFile>> selectFileList(SysFile sysFile) {
        return null;
    }
}
